Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.preparer
Class BasicPreparerFactory

    java.lang.Object
      org.apache.tiles.preparer.BasicPreparerFactory

All Implemented Interfaces:
  PreparerFactory

Direct Known Subclasses:
  CompatibilityPreparerFactory

    public class BasicPreparerFactory

extends java.lang.Object
implements PreparerFactory

Default implementation of the `PreparerFactory`. This factory provides no contextual configuration. It simply instantiates the named preparerInstance and returns it.

Since:
  Tiles 2.0
Version:
  $Rev: 791161 $ $Date: 2009-07-04 20:53:36 +0200 (sab, 04 lug 2009) $

Field Summary
`protected java.util.Map<java.lang.String,ViewPreparer>` | `preparers` Maps a preparer name to the instantiated preparer.

Constructor Summary
`BasicPreparerFactory()` Constructor.

Method Summary
`protected ViewPreparer` | `createPreparer(java.lang.String name)` Creates a view preparer for the given name.
`ViewPreparer` | `getPreparer(java.lang.String name, TilesRequestContext context)` Create a new instance of the named preparerInstance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preparers

    protected java.util.Map<java.lang.String,ViewPreparer> preparers

  Maps a preparer name to the instantiated preparer.

Constructor Detail

### BasicPreparerFactory

    public BasicPreparerFactory()

  Constructor.

Method Detail

### getPreparer

    public ViewPreparer getPreparer(java.lang.String name,
                                    TilesRequestContext context)

  Create a new instance of the named preparerInstance. This factory expects all names to be qualified class names.

  Specified by:
    `getPreparer` in interface `PreparerFactory`
  Parameters:
    `name` - the named preparerInstance
    `context` - current context
  Returns:
    ViewPreparer instance

### createPreparer

    protected ViewPreparer createPreparer(java.lang.String name)

  Creates a view preparer for the given name.

  Parameters:
    `name` - The name of the preparer.
  Returns:
    The created preparer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.